Bug 1422906 (CVE-2017-6009) - CVE-2017-6009 icoutils: Buffer overflow in the decode_ne_resource_id function
Summary: CVE-2017-6009 icoutils: Buffer overflow in the decode_ne_resource_id function
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-6009
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1430609 1422911 1430610 1430611
Blocks: 1411254
TreeView+ depends on / blocked
 
Reported: 2017-02-16 14:19 UTC by Andrej Nemec
Modified: 2019-09-29 14:07 UTC (History)
3 users (show)

Fixed In Version: icoutils 0.31.2
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in icoutils, in the wrestool program. An attacker could create a crafted executable that, when read by wrestool, could result in memory corruption leading to a crash or potential code execution.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:07:48 UTC


Attachments (Terms of Use)
Reporter writeup (6.66 KB, text/plain)
2017-02-16 14:20 UTC, Andrej Nemec
no flags Details
fixes memory issue triggered by wrong type cast (453 bytes, patch)
2017-02-22 10:24 UTC, Martin Gieseking
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0837 normal SHIPPED_LIVE Important: icoutils security update 2017-03-23 05:04:55 UTC

Description Andrej Nemec 2017-02-16 14:19:31 UTC
An issue was discovered in icoutils. A buffer overflow was observed in the "decode_ne_resource_id" function in the "restable.c" source file. This is happening because the "len" parameter for memcpy is not checked for size and thus becomes a negative integer in the process, resulting in a failed memcpy. This affects wrestool.

Comment 1 Andrej Nemec 2017-02-16 14:20:43 UTC
Created attachment 1250877 [details]
Reporter writeup

Comment 2 Andrej Nemec 2017-02-16 14:26:47 UTC
Created icoutils tracking bugs for this issue:

Affects: fedora-all [bug 1422911]

Comment 3 Martin Gieseking 2017-02-22 10:24:49 UTC
Created attachment 1256407 [details]
fixes memory issue triggered by wrong type cast

This patch should fix the issue.

Comment 4 Salvatore Bonaccorso 2017-02-26 20:28:03 UTC
Hi Martin

Has this been forwarded to upstream?

Regards,
Salvatore

Comment 5 Martin Gieseking 2017-02-26 20:34:07 UTC
Hi Salvatore, yes, I sent the patches to upstream but haven't received a reply yet.

Comment 8 Doran Moppert 2017-03-09 06:17:05 UTC
Created icoutils tracking bugs for this issue:

Affects: epel-6 [bug 1430609]

Comment 10 errata-xmlrpc 2017-03-23 01:15:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:0837 https://rhn.redhat.com/errata/RHSA-2017-0837.html


Note You need to log in before you can comment on or make changes to this bug.